<?php

namespace Bot;

include __DIR__ . '/../vendor/autoload.php';

use \danog\MadelineProto\EventHandler;

class BotEventHandler extends EventHandler{
    public function onUpdateNewMessage($update) {
        echo 'New update: ' . PHP_EOL;
        print_r($update);

        $config = \Amp\Mysql\ConnectionConfig::fromString("
        host=localhost user=bot password=My@1Ude db=gallery");

        $pool = \Amp\Mysql\pool($config);

        $statement = yield $pool->prepare("INSERT INTO `messages` (`message`, `from_id`) VALUES (:message, :from_id)");
        $result = yield $statement->execute(['message' => $update['message']['message'], 'from_id' => $update['message']['from_id']]);
        
        if($result) {
            echo 'Insert successful.' . PHP_EOL;
        }
    }
}